package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.VipOrder;
import com.ruoyi.cai.dto.admin.vo.VipOrderAdminVo;
import com.ruoyi.cai.dto.dto.AddVipOrderDto;
import com.ruoyi.common.core.domain.PageQuery;

/**
 * VIP订单Service接口
 *
 * @author 77
 * @date 2024-01-03
 */
public interface VipOrderService extends IService<VipOrder> {

    VipOrder updateVipOrderAdmin(Long memberPriceId, Long userId);

    VipOrder addVipOrder(AddVipOrderDto addVipOrder);

    VipOrder getByOrderNo(String orderNo);

    void orderSuccess(String orderNo);

    Page<VipOrderAdminVo> pageAdmin(PageQuery pageQuery, VipOrderAdminVo bo);
}
